Skip to content

Profile Settings

GET
/api/v1/profile-settings/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/profile-settings/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Server security settings fetched successfully.

Media typeapplication/json
object
code
integer
data
object
pk
integer
bitninja_active
boolean
cdp_backup_active
boolean
nullable
default_ssh_keys_enabled
Array<integer>
password_authentication
boolean
whatsapp_notifications
boolean
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"pk": 1234,
"bitninja_active": false,
"cdp_backup_active": null,
"default_ssh_keys_enabled": [
12345
],
"password_authentication": true,
"whatsapp_notifications": null
},
"errors": {},
"message": "Success"
}